> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List action requirements for a porting order

> Returns a list of action requirements for a specific porting order.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-requirements.yml get /porting_orders/{porting_order_id}/action_requirements
openapi: 3.1.0
info:
  title: Telnyx Porting Requirements API
  version: 2.0.0
  description: API for porting requirements, verification, and UK carriers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{porting_order_id}/action_requirements:
    get:
      tags:
        - Porting Orders
      summary: List action requirements for a porting order
      description: Returns a list of action requirements for a specific porting order.
      operationId: listPortingActionRequirements
      parameters:
        - name: porting_order_id
          in: path
          description: The ID of the porting order
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/porting-order_PageConsolidated'
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[id][in][], filter[requirement_type_id], filter[action_type],
            filter[status]
          schema:
            type: object
            properties:
              id:
                type: array
                items:
                  type: string
                  format: uuid
                description: Filter action requirements by a list of IDs
              requirement_type_id:
                type: string
                format: uuid
                description: Filter action requirements by requirement type ID
              action_type:
                type: string
                enum:
                  - au_id_verification
                description: Filter action requirements by action type
              status:
                type: string
                enum:
                  - created
                  - pending
                  - completed
                  - cancelled
                  - failed
                description: Filter action requirements by status
        - name: sort
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated sort parameter (deepObject style). Originally:
            sort[value]
          schema:
            type: object
            properties:
              value:
                type: string
                enum:
                  - created_at
                  - '-created_at'
                  - updated_at
                  - '-updated_at'
                example: created_at
                description: >-
                  Specifies the sort order for results. If not given, results
                  are sorted by created_at in descending order.
      responses:
        '200':
          $ref: '#/components/responses/ListPortingActionRequirements'
        '401':
          description: Unauthorized
        '404':
          description: Porting order not found
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const actionRequirementListResponse of
            client.portingOrders.actionRequirements.list(
              'porting_order_id',
            )) {
              console.log(actionRequirementListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.porting_orders.action_requirements.list(
                porting_order_id="porting_order_id",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.PortingOrders.ActionRequirements.List(\n\t\tcontext.TODO(),\n\t\t\"porting_order_id\",\n\t\ttelnyx.PortingOrderActionRequirementListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListPage;

            import
            com.telnyx.sdk.models.portingorders.actionrequirements.ActionRequirementListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionRequirementListPage page = client.portingOrders().actionRequirements().list("porting_order_id");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.porting_orders.action_requirements.list("porting_order_id")


            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->portingOrders->actionRequirements->list(
                'porting_order_id',
                filter: [
                  'id' => ['182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'],
                  'actionType' => 'au_id_verification',
                  'requirementTypeID' => '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                  'status' => 'created',
                ],
                pageNumber: 0,
                pageSize: 0,
                sort: ['value' => 'created_at'],
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting-orders:action-requirements list \
              --api-key 'My API Key' \
              --porting-order-id porting_order_id
components:
  parameters:
    porting-order_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListPortingActionRequirements:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingActionRequirement'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PortingActionRequirement:
      type: object
      properties:
        id:
          type: string
          description: Identifies the action requirement
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          description: Identifies the type of the resource
          example: porting_action_requirement
          enum:
            - porting_action_requirement
        porting_order_id:
          type: string
          description: The ID of the porting order this action requirement belongs to
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
        requirement_type_id:
          type: string
          description: The ID of the requirement type
          example: 53970723-fbff-4f46-a975-f62be6c1a585
        action_type:
          type: string
          description: The type of action required
          example: document_upload
        action_url:
          type:
            - string
            - 'null'
          description: Optional URL for the action
          example: https://example.com/action
        status:
          type: string
          description: Current status of the action requirement
          example: created
          enum:
            - created
            - pending
            - completed
            - cancelled
            - failed
        cancel_reason:
          type:
            - string
            - 'null'
          description: Reason for cancellation if status is 'cancelled'
          example: null
        created_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated
          example: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````